
<%@ page import="java.util.*" %>
<%@ page import="com.synametrics.xeams.bean.*" %>


<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("IP Report", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "Reports");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<h1>Authenticated Messages</h1>
<br>
<div class="well">
	This report display a summary of messages sent outbound using SMTP authentication. It only display messages that pass through <%= productName %> SMTP server. 
	It does <b>NOT</b> display authenticated messages that come in through the SMTP Proxy server.
</div>

<div class="row">
	<div class="col-md-5">
		<div class="well-info-wrap">
			<div class="well-info-header">Unusual Activity Monitor</div>
			<div class="well-info-body">
				<p>You can setup an upper limit for the number of messages that are sent by one user in an hour. <%= productName %> can send an 
				email alert to the administrator when a user exceeds this limit, allowing
				the administrator to take preventive measures. </p>
				<p>You can optionally configure <%= productName %> to reject any new message once this limit is reached.</p>
				 
				<p>
				If you see a very high number next to a user, that could mean someone on the Internet has hijacked 
				his/her password and are now misusing your server to spam.</p>
			</div>
		</div>
		<%
		String message = (String) request.getAttribute("message");
				
		if(message != null && message.length() > 0){
			%>
			<div class="infoMessage"><%=message %></div>
			<%
		}

		%>
		<form action="<%= request.getAttribute("appPath") %>" method="post">
		<br style="clear:both;">
		<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('auth_thresh')"><b>?</b></div>
		<span class="form-control form-middle form-text pull-left wth-4">Maximum Emails / Hour</span>
		<input class="form-control form-right pull-left wth-5 text-center" type="text" name="authUserMessageThreshold" size="4" value="<%=request.getAttribute("authUserMessageThreshold") == null ? "51" : request.getAttribute("authUserMessageThreshold") %>">

		<br style="clear:both;">
		<div class="alert alert-info more_info" id="auth_thresh">
			An alert email is sent to the administrator when a user exceeds this number of emails in an hour.
		</div>
		
		
		<br style="clear:both;">
		<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('denyAfterLimit')"><b>?</b></div>
		<span class="form-control form-middle form-text pull-left wth-8">Deny Additional Emails</span>
		<span class="chkbox-cust form-control form-right pull-left wth-1">
			<input id="chk-pop" type="checkbox" name="denyAfterLimit" size="4" value="1" <%= request.getAttribute("denyAfterLimit") %> >
			<label for="chk-pop"></label>
		</span>
		
		<br style="clear:both;">
		<div class="alert alert-info more_info" id="denyAfterLimit">
			New messages will be denied once the hourly threshold has been reached.
		</div>
			
			
		<br style="clear:both;">
		<button class="btn btn-sm btn-submit pull-right">Save</button>
		<input type="hidden" name="operation" value="186">
		<br style="clear:both;"><br class="hide_lg">
		</form>
	</div>
	
	<div class="col-md-7">
		<table class="table table-striped table-bordered table-hover table-condensed">
			<tr class="well-info-header">
				<th>Email Address</th>
				<th>Messages</th>
			</tr>

		<%

		if(request.getParameter("details") != null){
			out.print("<th></th>");
		}

		List<AuthUserSummaryBean> summary = (List<AuthUserSummaryBean>) request.getAttribute("summary");
				
		for(int i = 0; i < summary.size(); i++){
			
			String details = "";
			
			if(request.getParameter("details") != null){
				details = "<td><pre>" + summary.get(i).getDetails() + "</pre></td>";
			}
			
		%>
			<tr>
				<td><%=summary.get(i).getUid() %></td>
				<td><%=summary.get(i).getMessageCount()%></td>
				<%=details %>
			</tr>
		<%
		}
		%>

		</table>

		<%
		if(summary.size() == 0){
			%>
			<h3 class="text-center">No records found</h3>
			There are several reasons for not to see any data in this report:
			<ul>
				<li>You are not using <%= productName %> for out-bound emails and therefore, no email was sent with SMTP authentication</li>
				<li>You do not have any users in <%= productName %></li>
				<li>No out-bound email has been sent since <%= productName %> was restarted</li>
			</ul>
			<%
		}
		%>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>
