<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>

<%
List sideButtons = new ArrayList(5);
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "ModifyFilters");


%>
<%@ include file="NewPageHeader.jsp" %>

<a href="<%=response.encodeURL("FrontController?operation=3") %>">&lt;&lt; Back to filter management</a><br>

<%@ include file="CurrentProfileName.jsp" %>
<%@ include file="LicenseWarning.jsp" %>

<%


String enableSpf = (String) request.getAttribute("enableSpf");
String spf4Whitelisted =  (String) request.getAttribute("spf4Whitelisted");

%>
<h1>Sender Policy Framework (SPF)</h1>

<br style="clear:both;">
<div class="row">
	<div class="col-md-2"></div>
	<div class="col-md-8">
		<div class="well">Sender Policy Framework stops email address forgery and makes it easier to identify spam, worms and viruses.
			Many companies on the Internet have started using SPF records in their DNS server. To learn more about SPF,
			visit <a href="<%=ResourceBean.getResourceURL()%>Spf.htm">SPF Page</a>
			on <%= productName %>'s main web site.
		</div>
		
		<% if(authorizationLevel >= ResourceBean.AL_SUPER_USER){%>
		<a href="<%=response.encodeURL("FrontController?operation=194") %>" ><button class="btn btn-sm btn-menu pull-right">Manage Trusted Domains &nbsp; &raquo;</button></a>
		<%}%>
		
		<br style="clear:both;"><br>
		<div class="well-info-wrap">
			<div class="well-info-header">SPF Configuration</div>
			<div class="well-info-body no-padding" style="padding-bottom:10px;">
				<div class="well-info-additional">
					When an email arrives, <%= productName %> queries the SPF entries in the DNS and compares it with the IP address
					the message is coming in from. Scores are assigned to the message based on the match.
				</div>
				
				<div style="padding:10px;">
					<form action="<%= request.getAttribute("appPath") %>" method="post">
					
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('enable')"><b>?</b></div>
					<span class="form-control pull-left form-middle form-text wth-8">Enable SPF</span>
					<span class="chkbox-cust form-control form-right pull-left wth-1">
						<input id="chk-spf" type="checkbox" name="chkSpfEnabled" value="on" <%=enableSpf%>>
						<label for="chk-spf"></label>
					</span>

						<br style="clear:both;">
						<div class="alert alert-info more_info" id="enable">
							Uncheck this box if you do not want to use SPF lookups.
						</div>
						
						
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('useSpf4Whitelist')"><b>?</b></div>
					<span class="form-control pull-left form-middle form-text wth-8">Perform SPF before whitelisting</span>
					<span class="chkbox-cust form-control form-right pull-left wth-1">
						<input id="chk-spfb4whitelisting" type="checkbox" name="spf4Whitelisted" value="on" <%=spf4Whitelisted%>>
						<label for="chk-spfb4whitelisting"></label>
					</span>

					<br style="clear:both;">
					<div class="alert alert-info more_info" id="useSpf4Whitelist">
						If checked, whitelisted email addresses and domain names will only be applied if SPF passes. 
					</div>
						
						
						
						
				    <% if(authorizationLevel >= ResourceBean.AL_SUPER_USER){%>
					<br style="clear:both;"><br>	
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('trustedScore')"><b>?</b></div>
					<span class="form-control pull-left form-middle form-text wth-5">Trusted Domain</span>
					<input class="form-control pull-left form-right text-center wth-4" type="text" size="3" name="txtSpfTrustedPassScore" value="<%= request.getAttribute("trustedPassScore")%>">
						
						<br style="clear:both;">
						<div class="alert alert-info more_info" id="trustedScore">
							Score assigned when email is sent from a published IP and the domain
							is trusted. 
							<br>
							<a href="<%=response.encodeURL("FrontController?operation=194") %>">Click here</a> to manage trusted domains for SPF filter.
						</div>
					<%}else{
					%>
						<input type="hidden" name="txtSpfTrustedPassScore" value="<%= request.getAttribute("trustedPassScore")%>">
					<%
					}
					%>
					
						
						
						
					<br style="clear:both;"><br>
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('pass')"><b>?</b></div>
					<span class="form-control pull-left form-middle form-text wth-5">PASS</span>
					<input class="form-control pull-left form-right text-center wth-4" type="text" size="3" name="txtSpfPassScore" value="<%= request.getAttribute("passScore")%>">
						
						<br style="clear:both;">
						<div class="alert alert-info more_info" id="pass">
							Score assigned when email is sent from a published IP. Note that
							spammers can use valid domain to send spam. Therefore, do not give too much credit to the email
							if SPF lookup passes
						</div>
						
					<br style="clear:both;"><br>	
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('fail')"><b>?</b></div>
					<span class="form-control pull-left form-middle form-text wth-5">FAIL</span>
					<input class="form-control pull-left form-right text-center wth-4" type="text" size="3" name="txtSpfFailScore" value="<%= request.getAttribute("failScore")%>">
						
						<br style="clear:both;">
						<div class="alert alert-info more_info" id="fail">
							Score assigned when email address is forged.
						</div>
						
					<br style="clear:both;"><br>	
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('neutral')"><b>?</b></div>
					<span class="form-control pull-left form-middle form-text wth-5">NEUTRAL</span>
					<input class="form-control pull-left form-right text-center wth-4" type="text" size="3" name="txtSpfNeutralScore" value="<%= request.getAttribute("neutralScore")%>">
						
						<br style="clear:both;">
						<div class="alert alert-info more_info" id="neutral">
							Score assigned when SPF lookup cannot validate the sender's IP.
						</div>
						
					<br style="clear:both;"><br>	
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('softfail')"><b>?</b></div>
					<span class="form-control pull-left form-middle form-text wth-5">SOFTFAIL</span>
					<input class="form-control pull-left form-right text-center wth-4" type="text" size="3" name="txtSpfSoftfailScore" value="<%= request.getAttribute("softFailScore")%>">
						
						<br style="clear:both;">
						<div class="alert alert-info more_info" id="softfail">
							Score assigned when the message does not meet a domain's strict
							definition of legitimacy, but the domain cannot confidently state that the
							message is a forgery
						</div>
						
					<br style="clear:both;">
					<button class="btn btn-sm btn-submit pull-right">Submit</button>
				</div>
				<input  type="hidden" name="operation" value="97"/>
				</form>
				<br style="clear:both;">
			</div>
		</div>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>
